Name: morse
Summary: Morse Classic morse trainer program
Version: 2.1
Release: alt1
License: BSD
Group: Communications
Url: http://catb.org/~esr/morse/
Source0: %name-%version.tar.gz
Patch: %name-nosound.patch

Packager: Fr. Br. George <george@altlinux.ru>

%description
Morse Classic is a Morse-code training program for aspiring radio hams.  It
can generate random tests or simulated QSOs resembling those used in
the ARRL test (a QSO generator is included).  There are a plethora of
options to vary the training method.  In one of the simpler modes,
this program will take text from standard input and render it as
Morse-code beeps.

%prep
%setup -q
# Those old school hackers...
for N in `grep -rl '^#include <sys/time.h>' .`; do sed -i '/^#include <sys.time.h>/a\
#include <time.h>
' $N; done

sed -i '1i\
#include <stdio.h>
' qso.d/QSO.c

%patch

%build
make %{?_smp_mflags} morse QSO morse.1

%install
mkdir -p %buildroot%_bindir %buildroot%_man1dir
install -s %name %buildroot%_bindir/
install -s QSO %buildroot%_bindir/
install %name.1 %buildroot%_man1dir/

%files
%doc README HISTORY

%_man1dir/%name.1*
%_bindir/%name
%_bindir/QSO

%changelog
* Thu Dec 06 2007 Fr. Br. George <george@altlinux.ru> 2.1-alt1
- Initial build for ALT
- Getopt bug fixed (X instead of X:)
- Nosound patch applied (for text conversion)

* Tue Jan 25 2005 Eric S. Raymond <esr@snark.thyrsus.com> - 2.1-1
- Patched to use termios(3) rather than ioctls() and sigaction rather
  than sigset(3).  This should allow it to run under Mac OS X.

* Mon Jan 24 2005 Eric S. Raymond <esr@snark.thyrsus.com> - 2.0-1
- Initial build.  See HISTORY file in the distribution for prior history.

